Add upload-sources.bash and README.md to tools/i18n

The upload-sources.bash script can be used to upload the messages.json
file when it gets updated directly to Crowdin.

Also, the blocked users list has been updated.

Change-Id: I8fe8fbc47e7b780198f31711bd1a464d175b4546
diff --git a/tools/i18n/upload-sources.bash b/tools/i18n/upload-sources.bash
new file mode 100644
index 0000000..d4ba26d
--- /dev/null
+++ b/tools/i18n/upload-sources.bash
@@ -0,0 +1,10 @@
+#!/bin/bash
+#
+# Uploads source files to Crowdin for translation.
+
+if [[ $(git diff --stat) != '' ]]; then
+  echo 'The git tree is dirty. The source file has not been uploaded.'
+  exit 1
+fi
+
+crowdin upload -c crowdin.yml